Skip to main content

CardManagement API (v1)

Download OpenAPI specification:Download

API for manage CardManagement (v1.162.0)

Account

GetAccount

Get a single accounr using its id

path Parameters
id
required
string <uuid>

Identifier of account

Responses

Response samples

Content type
{
  • "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "accountNumber": "string",
  • "status": "string",
  • "type": "string",
  • "statusReasonCode": "string",
  • "cardProcessorReference": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    },
  • "lockType": "string",
  • "lockLevel": "string",
  • "blockReasonCode": "string"
}

UpdateAccount

Updates an existing account

path Parameters
id
required
string <uuid>

Identifier of account

Request Body schema:

Request for update account

externalReference
required
string [ 1 .. 255 ] characters

Reference on external system (optional)

Responses

Request samples

Content type
{
  • "externalReference": "string"
}

Response samples

Content type
{
  • "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "accountNumber": "string",
  • "status": "string",
  • "type": "string",
  • "statusReasonCode": "string",
  • "cardProcessorReference": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    },
  • "lockType": "string",
  • "lockLevel": "string",
  • "blockReasonCode": "string"
}

DeleteAccount

Delete an existing account

path Parameters
id
required
string <uuid>

Identifier of account

Responses

Response samples

Content type
{
  • "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "accountNumber": "string",
  • "status": "string",
  • "type": "string",
  • "statusReasonCode": "string",
  • "cardProcessorReference": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    },
  • "lockType": "string",
  • "lockLevel": "string",
  • "blockReasonCode": "string"
}

GetAccountCards

Get list of cards available on a single account

path Parameters
id
required
string <uuid>

Id of account

query Parameters
pageSize
integer <int32>
Default: 50

Size of page

pageNumber
integer <int32>
Default: 0

Number of page

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

CreateCard

Create a new card for a specified account

path Parameters
id
required
string <uuid>

Id of customer

Request Body schema:
required

Card details

cardHolderCustomerId
string or null <uuid>

Customer id of the cardholder.

nameOnCard
required
string [ 1 .. 255 ] characters

Name on card (ex. "JOHN DOE")

barCode
required
string [ 1 .. 255 ] characters

Barcode associated with card (optional)

financialReference
required
string non-empty

Financial reference connected with card (optional, can ben wallet identifier, or an account identifier)

externalReference
required
string [ 1 .. 255 ] characters

Reference on external system (optional)

relationType
required
string non-empty

Primary, Business, Supplementary

object or null

Creates a new card ad a replacement of (NOT SUPPORTED FOR NOW, must be empty of null!) an older one

object or null

Defines the address for delivery of the card (NOT SUPPORTED FOR NOW, must be empty of null!)

Array of objects or null (CardLimitRequest)

Limits on card (NOT SUPPORTED FOR NOW, must be empty of null!)

Responses

Request samples

Content type
{
  • "cardHolderCustomerId": "a2ec2e28-8114-4fae-b9cf-cf8be11fc292",
  • "nameOnCard": "string",
  • "barCode": "string",
  • "financialReference": "string",
  • "externalReference": "string",
  • "relationType": "string",
  • "replacement": {
    },
  • "delivery": {
    },
  • "limits": [
    ]
}

Response samples

Content type
{
  • "cardId": "f16ba382-eb42-481a-b08f-c57bdc9aae24",
  • "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "barCode": "string",
  • "financialReference": "string",
  • "productCode": "string",
  • "panToken": "string",
  • "maskedPan": "string",
  • "status": "string",
  • "statusReasonCode": "string",
  • "expiryDate": "2019-08-24",
  • "cardProcessorReference": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    },
  • "nameOnCard": "string"
}

LockAccount

Lock a specified account

path Parameters
id
required
string <uuid>

Id of account

query Parameters
lockType
required
string

Lock type

level
required
string

Lock level

Responses

Response samples

Content type
{
  • "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "accountNumber": "string",
  • "status": "string",
  • "type": "string",
  • "statusReasonCode": "string",
  • "cardProcessorReference": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    },
  • "lockType": "string",
  • "lockLevel": "string",
  • "blockReasonCode": "string"
}

UnlockAccount

Unlock a specified account

path Parameters
id
required
string <uuid>

Id of account

query Parameters
level
required
string

Lock level

Responses

Response samples

Content type
{
  • "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "accountNumber": "string",
  • "status": "string",
  • "type": "string",
  • "statusReasonCode": "string",
  • "cardProcessorReference": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    },
  • "lockType": "string",
  • "lockLevel": "string",
  • "blockReasonCode": "string"
}

BlockAccount

Block a specified account

path Parameters
id
required
string <uuid>

Id of account

query Parameters
accountBlockRequestReasonCode
required
string

Reason code

Responses

Response samples

Content type
{
  • "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "accountNumber": "string",
  • "status": "string",
  • "type": "string",
  • "statusReasonCode": "string",
  • "cardProcessorReference": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    },
  • "lockType": "string",
  • "lockLevel": "string",
  • "blockReasonCode": "string"
}

GetLockTypes

Get the list of valid lock types

Responses

Response samples

Content type
[
  • "string"
]

GetLevelTypes

Get the list of valid lock level types

Responses

Response samples

Content type
[
  • "string"
]

GetBlockReasonTypes

Get the list of valid block reason types

Responses

Response samples

Content type
[
  • "string"
]

Addresses

GetAddress

Get a single Address using its id

path Parameters
id
required
string <uuid>

Identifier of Address

Responses

Response samples

Content type
{
  • "addressId": "785d1fc4-8ab5-48f1-8685-117cac9865d6",
  • "cardProcessorReference": "string",
  • "type": "string",
  • "countryCode": "string",
  • "line1": "string",
  • "line2": "string",
  • "line3": "string",
  • "city": "string",
  • "postOffice": "string",
  • "zipCode": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    }
}

UpdateAddress

Updates an existing Address

path Parameters
id
required
string <uuid>

Identifier of Address

Request Body schema:

Request for update Address

type
required
string non-empty

Type of Address (ex. PermanentResidence, Work, Other, TemporaryResidence)

countryCode
required
string non-empty

CountryCode ISO 3166-1 alpha-3

line1
required
string [ 1 .. 128 ] characters

Address line 1

line2
string or null <= 128 characters

Address line 2

line3
string or null <= 128 characters

Address line 3

city
required
string [ 1 .. 32 ] characters

Address City

postOffice
string or null <= 32 characters

Address post office

zipCode
required
string [ 1 .. 8 ] characters

Address zip code

externalReference
required
string [ 1 .. 255 ] characters

External Reference

Responses

Request samples

Content type
{
  • "type": "string",
  • "countryCode": "string",
  • "line1": "string",
  • "line2": "string",
  • "line3": "string",
  • "city": "string",
  • "postOffice": "string",
  • "zipCode": "string",
  • "externalReference": "string"
}

Response samples

Content type
{
  • "addressId": "785d1fc4-8ab5-48f1-8685-117cac9865d6",
  • "cardProcessorReference": "string",
  • "type": "string",
  • "countryCode": "string",
  • "line1": "string",
  • "line2": "string",
  • "line3": "string",
  • "city": "string",
  • "postOffice": "string",
  • "zipCode": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    }
}

DeleteAddress

Delete an existing account

path Parameters
id
required
string <uuid>

Identifier of account

Responses

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

Affiliates

PushOobAuthentication

Push the result (success or failure) of an OOB (Out-of-Band) authentication that was previously raised on affiliate using device id and transaction data

Request Body schema:

Request with result of raised authentication

transactionId
required
string [ 1 .. 255 ] characters

Transaction identifier for Access Control Server (ACS)

authenticated
required
boolean

Context transaction was autheticated/authorized by card holder

authMethod
required
string [ 1 .. 255 ] characters

Method used for authenticate transaction 07 = OOB Biometrics 08 = OOB Login

Responses

Request samples

Content type
{
  • "transactionId": "9A04DCEF96464934845BB0ADEE1EAA1B",
  • "authenticated": true,
  • "authMethod": "07"
}

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

Cards

GetCard

Get a single card using its identifier

path Parameters
cardId
required
string <uuid>

Identifier of card

Responses

Response samples

Content type
{
  • "cardId": "f16ba382-eb42-481a-b08f-c57bdc9aae24",
  • "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "barCode": "string",
  • "financialReference": "string",
  • "productCode": "string",
  • "panToken": "string",
  • "maskedPan": "string",
  • "status": "string",
  • "statusReasonCode": "string",
  • "expiryDate": "2019-08-24",
  • "cardProcessorReference": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    },
  • "nameOnCard": "string"
}

UpdateCard

Updates an existing card

path Parameters
cardId
required
string <uuid>

Identifier of card

Request Body schema:

Request for update card

nameOnCard
required
string [ 1 .. 255 ] characters

Name on the card

barCode
required
string [ 1 .. 255 ] characters

Barcode associated with card

financialReference
required
string non-empty

Financial reference connected with card (can ben wallet identifier, or an account identifier)

externalReference
required
string [ 1 .. 255 ] characters

Reference on external system (optional)

Responses

Request samples

Content type
{
  • "nameOnCard": "string",
  • "barCode": "string",
  • "financialReference": "string",
  • "externalReference": "string"
}

Response samples

Content type
{
  • "cardId": "f16ba382-eb42-481a-b08f-c57bdc9aae24",
  • "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "barCode": "string",
  • "financialReference": "string",
  • "productCode": "string",
  • "panToken": "string",
  • "maskedPan": "string",
  • "status": "string",
  • "statusReasonCode": "string",
  • "expiryDate": "2019-08-24",
  • "cardProcessorReference": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    },
  • "nameOnCard": "string"
}

DeleteCard

Delete an existing card

path Parameters
cardId
required
string <uuid>

Identifier of card

Responses

Response samples

Content type
{
  • "cardId": "f16ba382-eb42-481a-b08f-c57bdc9aae24",
  • "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "barCode": "string",
  • "financialReference": "string",
  • "productCode": "string",
  • "panToken": "string",
  • "maskedPan": "string",
  • "status": "string",
  • "statusReasonCode": "string",
  • "expiryDate": "2019-08-24",
  • "cardProcessorReference": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    },
  • "nameOnCard": "string"
}

CardTransactions

GetCardTransactions

Gets paginated transactions associated to a single card using its identifier and date range filters

path Parameters
cardId
required
string <uuid>

Identifier of card

query Parameters
fromDate
string <date-time>

From date range filter (last 90 days by default)

toDate
string <date-time>

To date range filter (utc now by default)

pageSize
integer <int32>
Default: 50

Number of Transactions per page

pageNumber
integer <int32>
Default: 0

Zero-based page number

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

CountCardTransactions

Gets count of transactions associated to a single card using its identifier and date range filters

path Parameters
cardId
required
string <uuid>

Identifier of card

query Parameters
fromDate
string <date-time>

From date range filter (last 90 days by default)

toDate
string <date-time>

To date range filter (utc now by default)

Responses

Response samples

Content type
{
  • "value": 0
}

Clearings

GetClearingBookmarks

Get list of clearing bookmarks available in scope

query Parameters
fromDate
string <date>

From date

toDate
string <date>

To date filter

pageSize
integer <int32>
Default: 50

Size of page

pageNumber
integer <int32>
Default: 0

Number of page

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

GetIncomingClearings

Get list of incoming clearings for a specific bookmark

path Parameters
bookmarkId
required
string <uuid>

Bookmark identifier

Responses

Response samples

Content type
[
  • {
    }
]

DeleteIncomingClearing

Delete an incoming clearing and its file

path Parameters
bookmarkId
required
string <uuid>

Bookmark identifier

incomingClearingId
required
string <uuid>

Incoming clearing identifier

Responses

Response samples

Content type
{
  • "outgoingClearingId": "61e7073c-7009-4773-a5e3-fcc020f3b2b0",
  • "clearingBookmarkId": "d76c248b-c3f0-486e-aec0-0d32b1b4823c",
  • "issuerKey": "string",
  • "affiliateKey": "string",
  • "clearingDate": "2019-08-24",
  • "type": "string",
  • "fileName": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "availableRecords": 0,
  • "totalBilledAmount": 0.1,
  • "totalFeesAmount": 0.1
}

GetOutgoingClearings

Get list of outgoing clearings for a specific bookmark

path Parameters
bookmarkId
required
string <uuid>

Bookmark identifier

Responses

Response samples

Content type
[
  • {
    }
]

DeleteOutgoingClearing

Delete an outgoing clearing and its file

path Parameters
bookmarkId
required
string <uuid>

Bookmark identifier

outgoingClearingId
required
string <uuid>

Outgoing clearing identifier

Responses

Response samples

Content type
{
  • "outgoingClearingId": "61e7073c-7009-4773-a5e3-fcc020f3b2b0",
  • "clearingBookmarkId": "d76c248b-c3f0-486e-aec0-0d32b1b4823c",
  • "issuerKey": "string",
  • "affiliateKey": "string",
  • "clearingDate": "2019-08-24",
  • "type": "string",
  • "fileName": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "availableRecords": 0,
  • "totalBilledAmount": 0.1,
  • "totalFeesAmount": 0.1
}

UploadClearingFiles

Uploads clearing files to be processed

Request Body schema: multipart/form-data
files
required
Array of strings <binary> [ items <binary > ]

File to upload and elaborate

Responses

Response samples

Content type
{
  • "success": true,
  • "uploadedFileNames": [
    ],
  • "isBookmarkCreated": true,
  • "totalIncomingClearingCreated": 0,
  • "error": "string"
}

DownloadIncomingClearingFile

Gets an input source file for a specific clearings

path Parameters
bookmarkId
required
string <uuid>

Bookmark identifier

incomingClearingId
required
string <uuid>

Incoming clearing identifier

Responses

Response samples

Content type
{ }

DownloadOutgoingClearingFile

Downloads an outgoing clearing file for a specific clearings

path Parameters
bookmarkId
required
string <uuid>

Clearing Bookmark identifier

outgoingClearingId
required
string <uuid>

Outgoing clearing identifier

Responses

Response samples

Content type
{ }

GetClearingFlowModes

Return the list of clearing flow modes

Responses

Response samples

Content type
[
  • "string"
]

Customers

GetCustomers

Get list of customers available in scope

query Parameters
pageSize
integer <int32>
Default: 50

Size of page

pageNumber
integer <int32>
Default: 0

Number of page

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

CreateCustomer

Creates a new customer

Request Body schema:

Request for create customer

type
required
string non-empty

Type of customer ("Citizen" or "LegalEntity")

code
required
string [ 1 .. 15 ] characters

Unique code of customer

taxNumber
string or null

Tax number (optional)

object or null

Citizen data (required only when Type "Citizen")

object or null

LegalEntity data (required only when Type "LegalEntity")

externalReference
string or null <= 255 characters

External reference

Responses

Request samples

Content type
{
  • "type": "string",
  • "code": "string",
  • "taxNumber": "string",
  • "citizen": {
    },
  • "legalEntity": {
    },
  • "externalReference": "string"
}

Response samples

Content type
{
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "name": "string",
  • "type": "string",
  • "code": "string",
  • "cardProcessorReference": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    }
}

GetCustomer

Get a single customers using its id

path Parameters
id
required
string <uuid>

Identifier of customer

Responses

Response samples

Content type
{
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "name": "string",
  • "type": "string",
  • "code": "string",
  • "cardProcessorReference": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    }
}

UpdateCustomer

Updates an existing customer

path Parameters
id
required
string <uuid>

Identifier of customer

Request Body schema:

Request for update customer

object or null

Citizen data (required only when Type "Citizen")

object or null

LegalEntity data (required only when Type "LegalEntity")

type
required
string non-empty

Type of customer ("Citizen" or "LegalEntity")

code
required
string [ 1 .. 15 ] characters

Unique code of customer

taxNumber
string or null

Tax number (optional)

externalReference
string or null <= 255 characters

External reference

Responses

Request samples

Content type
{
  • "citizen": {
    },
  • "legalEntity": {
    },
  • "type": "string",
  • "code": "string",
  • "taxNumber": "string",
  • "externalReference": "string"
}

Response samples

Content type
{
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "name": "string",
  • "type": "string",
  • "code": "string",
  • "cardProcessorReference": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    }
}

GetCustomerAccounts

Get list of accounts available on a single customer

path Parameters
id
required
string <uuid>

Id of customer

query Parameters
pageSize
integer <int32>
Default: 50

Size of page

pageNumber
integer <int32>
Default: 0

Number of page

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

CreateCustomerAccount

Create a new account for a specified customer

path Parameters
id
required
string <uuid>

Id of customer

Request Body schema:
required

Account details

type
required
string non-empty

Type of account (ex. "Charge", "Loan", "Debit", "Prepaid")

externalReference
required
string [ 1 .. 255 ] characters

Reference on external system (optional)

Responses

Request samples

Content type
{
  • "type": "string",
  • "externalReference": "string"
}

Response samples

Content type
{
  • "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "accountNumber": "string",
  • "status": "string",
  • "type": "string",
  • "statusReasonCode": "string",
  • "cardProcessorReference": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    },
  • "lockType": "string",
  • "lockLevel": "string",
  • "blockReasonCode": "string"
}

GetCustomerCards

Get list of cards available on a single customer

path Parameters
id
required
string <uuid>

Id of customer

query Parameters
pageSize
integer <int32>
Default: 50

Size of page

pageNumber
integer <int32>
Default: 0

Number of page

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

CreateAddress

Create a new account for a specified customer

path Parameters
id
required
string <uuid>

Id of customer

Request Body schema:
required

Account details

type
required
string non-empty

Type of Address (ex. PermanentResidence, Work, Other, TemporaryResidence)

countryCode
required
string non-empty

CountryCode ISO 3166-1 alpha-3

line1
required
string [ 1 .. 128 ] characters

Address line 1

line2
string or null <= 128 characters

Address line 2

line3
string or null <= 128 characters

Address line 3

city
required
string [ 1 .. 32 ] characters

Address City

postOffice
string or null <= 32 characters

Address post office

zipCode
required
string [ 1 .. 8 ] characters

Address zip code

externalReference
required
string [ 1 .. 255 ] characters

External Reference

Responses

Request samples

Content type
{
  • "type": "string",
  • "countryCode": "string",
  • "line1": "string",
  • "line2": "string",
  • "line3": "string",
  • "city": "string",
  • "postOffice": "string",
  • "zipCode": "string",
  • "externalReference": "string"
}

Response samples

Content type
{
  • "addressId": "785d1fc4-8ab5-48f1-8685-117cac9865d6",
  • "cardProcessorReference": "string",
  • "type": "string",
  • "countryCode": "string",
  • "line1": "string",
  • "line2": "string",
  • "line3": "string",
  • "city": "string",
  • "postOffice": "string",
  • "zipCode": "string",
  • "externalReference": "string",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "lastUpdateDate": "2019-08-24T14:15:22Z",
  • "cardProcessorData": {
    }
}

GetCustomerAdresses

Get all addresses for a specified customer

path Parameters
id
required
string <uuid>

Id of customer

Responses

Response samples

Content type
[
  • {
    }
]

Diagnostics

GetDiagnosticsInfo

Get current platform diagnostics data

Responses

Response samples

Content type
{
  • "applicationName": "string",
  • "applicationVersion": "string",
  • "environment": "string",
  • "properties": {
    }
}

Documentations

RequirementPushOnlineToIssuerAuthorization

Push a "transaction authorization" to online to issuer (O2I) affiliate endpoint

Request Body schema:

Input request for "authorization"

financialReference
string or null

This field is usually used to create a relation between the card and the external reference for the money (ex. walletId on P1, accountId on external Core Banking System, etc).

transactionId
required
string non-empty

Unique transaction id provided by Card Processor

refTransactionId
string or null

Reference to a transaction previously processed (provided only if available)

transactionDateTime
string or null <date-time>

Date/time when transaction is performed

processDateTime
string or null <date-time>

Date/time when transaction is processed by Card Processor

transactionAmount
number or null <double>

Original transaction amount

transactionCurrency
integer or null <int32>

Original transaction currency (ISO 4217)

billingAmount
number or null <double>

Converted amount beeing charged

billingCurrency
integer or null <int32>

Converted currency being charged (ISO 4217)

terminalId
string or null

Terminal identifier (when available)

mcc
integer or null <int32>

Merchant Category Code

merchantId
string or null

Merchant identifier

merchantName
string or null

Merchant name

merchantStreet
string or null

Merchant street (when available)

merchantCity
string or null

Merchant city (when available)

merchantZip
string or null

Merchant ZIP (when available)

merchantCountry
integer or null <int32>

Merchant county (ISO 3166-1, when available)

cardToken
required
string non-empty

Unique card identifier. Will be generated by CMS through card creation API. The structure is as follows: 6 numbers BIN + token number + last 4 PAN digits

authorizationCode
string or null

6-digit authorization code, set by Card Processor when transaction passed all required checks. Included only with successful transactions

cardScheme
required
integer <int32>

Scheme for Card: 1 - Diners 2 - Discover 3 - Mastercard 4 - Visa

type
required
integer <int32>

Type of transaction 0 - Purchase 1 - ATM Withdrawal 6 - Card verification - inquiry 17 - Cash advance 20 - Refund/Credit/Payment 30 - Balance Inquiry on ATM 91 - PIN Unblock - info 92 - PIN Change - info 101 - Preauthorization (Mastercard only) 102 - Preauthorization Incremental (Mastercard only) 103 - Preauthorization Completion (Mastercard only) 107 - Transfer to Account (MoneySend) (Mastercard only) 108 - Transfer from Account (MoneySend) (Mastercard only)

stan
string or null

Transaction incremental number, provided by Mastercard, Diners International or Visa network. Provides an additional reference to original transaction

source
string or null

Transaction source M - Manual P - POS A - ATM I - E-commerce (Internet)

entryMode
integer or null <int32>

Entry mode, method used to enter card number 0 - Unknown or unspecified 1 - Manual 2 - Magstripe 3 - Barcode 5 - Chip 6 - Key entry 7 - Contactless Chip 9 - Chip fallback 10 - Credentials on file

authentication
integer or null <int32>

Authentication 0 - Transaction has not been authenticated 1 - Transaction has been authenticated 2 - Transaction authentication has been attempted. Attempt can be made by the card network or merchant

authenticationProtocol
integer or null <int32>

Authentication protocol 0 - Not applicable 1 - 3DS Version 1 2 - 3DS Version 2 or higher

scaExemption
integer or null <int32>

SCA Exemption 0 - Not requestes 1 - Merchant Initiated Transaction 2 - Acquirer Low-Fraud and Transaction Risk Analysis 3 - Low-Value Payment 4 - Strong Customer Authentication (SCA) Delegation 5 - Secure Corporate Payment 6 - Trusted Merchant Exemption

virtualCardNumberId
string or null

Virtual Card Number ID, provided by Card Processor "Card Virtualization System" (CVS). Provided only for card virtualized by CVS

wallet
integer or null <int32>

Wallet Provider 0 - None 1 - Apple Pay 2 - Google Pay 3 - Samsung Pay 4 - Garmin Pay 5 - FitBit Pay 10 - M4M (Merchant for Merchant)

pin
integer or null <int32>

PIN: Card present transaction authentication indicator 1 - Not performed 2 - Passed 3 - Failed

responseCode
string or null

Response code set by Card Processor. If success Issuer can change the authorization using response status

Responses

Request samples

Content type
{
  • "financialReference": "778866554433",
  • "transactionId": "309E7559681849A6B6D478F20A3E10BC",
  • "refTransactionId": "66713D814D064C55BF3BB9A66094D4DB",
  • "transactionDateTime": "2027-02-20T00:00:00",
  • "processDateTime": "2027-02-20T00:10:00",
  • "transactionAmount": 23.5,
  • "transactionCurrency": 978,
  • "billingAmount": 23.5,
  • "billingCurrency": 978,
  • "terminalId": "XX012345",
  • "mcc": 5499,
  • "merchantId": "011223344",
  • "merchantName": "Test merchant",
  • "merchantStreet": "Test Street 1",
  • "merchantCity": "Test",
  • "merchantZip": "12345",
  • "merchantCountry": 705,
  • "cardToken": "9999990000000123456",
  • "authorizationCode": "112233",
  • "cardScheme": 1,
  • "type": 0,
  • "stan": "123456",
  • "source": "P",
  • "entryMode": 2,
  • "authentication": 0,
  • "authenticationProtocol": 1,
  • "scaExemption": 0,
  • "virtualCardNumberId": "9999990000000123456",
  • "wallet": 3,
  • "pin": 2,
  • "responseCode": "OK"
}

Response samples

Content type
{
  • "transactionId": "309E7559681849A6B6D478F20A3E10BC",
  • "responseCode": "OK",
  • "availableBalance": 999.6,
  • "accountCurrency": 978
}

RequirementGetTransactionRiskLevel

Calculate level of risk of a specific card transaction that is provided an input. Risk level in the response should be one of the following:

  • "low": transaction is approved in friction-less mode without involving the card holder in the process,
  • "medium": the cardholder is to be challenged using an a SCA (Strong Customer Authentication) method (ex. OTP, push notification, SMS or something else),
  • "high": transaction is declined automatically and will not be reached into the "online-to-issuer" endpoint,
  • "undecided": risk level is calculated automatically by the ACS (Access Control Server)
Request Body schema:

Input transaction for risk calculation

transactionId
required
string [ 1 .. 255 ] characters

Transaction identifier for Access Control Server (ACS)

dsTransactionId
string or null <= 255 characters

Transaction identifier for Directory Service (DS)

acsVersion
required
string non-empty

Access Control Server version

panToken
required
string non-empty

PAN Token of the card associated with the transaction (should be used to identify the card holder and the list of his devices)

merchantName
required
string non-empty

Name of the merchant assigned by acquirer

purchaseAmount
required
string non-empty

Purchase amount in minor units of currency with all punctuation removed (ex. 15.34€ => "1534"). This value should be used in conjunction with "PurchaseExponent" in order to calculate number of decimal for puntuation

purchaseExponent
required
integer <int32>

Required if purchase amount is present. Minor units of currency as specified in the ISO-4217 currency exponent. For Euro the value should be 100

purchaseCurrency
required
string non-empty

The currency in which the purchase amount is expressed, in 3 letters (ex. "EUR", "GBP", "USD")

acquirerMerchantId
required
string non-empty

Acquirer-assigned merchant identifier

messageCategory
string or null

Identifies the category of the message, using 2 digits, for a specific use case (defined with ACS setup)

merchantFraudRate
required
integer <int32>

Merchant fraud rate in bps taking into account all Merchant sites and card volumes, calculated as per PSD2 RTS Article 19.

threeRiIndicator
string or null

Indicates the type of 3RI request. Possible values: 01 = Recurring transaction, 02 = Installment transaction, 03 = Add card, 04 = Maintain card information, 05 = Account verification, 06 = Split/delayed shipment, 07 = Top-up, 08 = Mail Order, 09 = Telephone Order, 10 = Whitelist status check, 11 = Other payment

whitelistStatus
string or null <= 255 characters

Field indicating whether cardholder requested merchant's whitelisting. Values accepted: "Y", "N"

Responses

Request samples

Content type
{
  • "transactionId": "9A04DCEF96464934845BB0ADEE1EAA1B",
  • "dsTransactionId": "5EBD8DD0F087407DB05A8038DCACB27A",
  • "acsVersion": "2.1.0",
  • "panToken": "5000000000000000000",
  • "merchantName": "Acme Inc.",
  • "purchaseAmount": "1534",
  • "purchaseExponent": 100,
  • "purchaseCurrency": "EUR",
  • "acquirerMerchantId": "002455005",
  • "messageCategory": "to be clarified during integration with ACS.",
  • "merchantFraudRate": 13,
  • "threeRiIndicator": "01",
  • "whitelistStatus": "N"
}

Response samples

Content type
{
  • "riskLevel": "medium",
  • "whitelistStatus": "N"
}

RequirementGetAuthenticationDevices

Get list of all available devices that can be used for challenge authentication. Devices belongs to the card holder associated with provided card PAN Token, and are limited to the authentication method specified on the request

Request Body schema:

Input request for authentication devices availability

transactionId
required
string non-empty

Transaction identifier for Access Control Server (ACS)

dsTransactionId
string or null

Transaction identifier for Directory Service (DS)

acsVersion
required
string non-empty

Access Control Server version

panToken
required
string non-empty

PAN Token of the card associated with the transaction (should be used to identify the card holder and the list of his devices)

authenticationType
required
string non-empty

Type of authentication requested Valid values are "OobPush", "SmsMac", "SmsMacPin", "MobileTokenQr", "HardwareTokenQr", "MobileTokenMac" and "HardwareTokenMac"

Responses

Request samples

Content type
{
  • "transactionId": "9A04DCEF96464934845BB0ADEE1EAA1B",
  • "dsTransactionId": "5EBD8DD0F087407DB05A8038DCACB27A",
  • "acsVersion": "2.1.0",
  • "panToken": "5000000000000000000",
  • "authenticationType": "OobPush"
}

Response samples

Content type
[
  • {
    },
  • {
    }
]

RequirementRaiseOobAuthentication

Raise a request for generate an OOB (Out-of-Band) authentication, for a single transaction, to a specific device (usually a push notification).

Request Body schema:

Input request for push authentication on device

transactionId
required
string non-empty

Transaction identifier for Access Control Server (ACS)

dsTransactionId
string or null

Transaction identifier for Directory Service (DS)

acsVersion
required
string non-empty

Access Control Server version

deviceId
required
string non-empty

Identifier of the device that should receive the request for authentication

merchantAppUrl
string or null

The URL of the merchant application that should be called by the authentication application once the cardholder completes the OOB authentication. This parameter will be present if it is received by the ACS in the CReq (Challenge Request) message

object or null

Details of transaction

Responses

Request samples

Content type
{
  • "transactionId": "9A04DCEF96464934845BB0ADEE1EAA1B",
  • "dsTransactionId": "5EBD8DD0F087407DB05A8038DCACB27A",
  • "acsVersion": "2.1.0",
  • "deviceId": "40586c1d-0149-4425-98e0-160e00796093",
  • "merchantAppUrl": "https://my.app.com/",
  • "transactionData": {
    }
}

Response samples

Content type
{
  • "status": 1,
  • "oobAppUrl": "myapp://authorize?tid=8a880dc"
}

RequirementGetOutgoingClearingMultischemeRecords

This endpoint is only used to expose the structure of records (rows) contained in a "Clearing Multischeme" outgoing file. This file will be received by the Affiliate from P2 Platform and should be used to execute settlement phase on the affiliate Core Banking System.

Responses

Response samples

Content type
[
  • {
    },
  • {
    }
]

RequirementGetOutgoingClearingMultischemeHeader

This endpoint is only used to expose the structure of the header contained in a "Clearing Multischeme" outgoing file. This header should be used to verify that the data defined in the rows are coherent and not data were lost during transfer

Responses

Response samples

Content type
{
  • "issuerKey": "ACMEISSUER",
  • "affiliateKey": "ACMEAFFILIATE",
  • "clearingDate": "2025-11-10",
  • "type": "CLEARINGMULTISCHEME",
  • "version": "1.0",
  • "fileName": "ACMEISSUER_20251110_CLEARINGMULTISCHEME_ACMEAFFILIATE.jsonl",
  • "declaredRecordsInFile": 1000
}

RequirementGetOutgoingFeeMultischemeRecords

This endpoint is only used to expose the structure of records (rows) contained in a "Fee Multischeme" outgoing file. This file will be received by the Affiliate from P2 Platform and should be used to execute settlement phase on the affiliate Core Banking System.

Responses

Response samples

Content type
[
  • {
    }
]

RequirementGetOutgoingFeeMultischemeHeader

This endpoint is only used to expose the structure of the header contained in a "Fee Multischeme" outgoing file. This header should be used to verify that the data defined in the rows are coherent and not data were lost during transfer

Responses

Response samples

Content type
{
  • "issuerKey": "ACMEISSUER",
  • "affiliateKey": "ACMEAFFILIATE",
  • "clearingDate": "2025-11-10",
  • "type": "FEEMULTISCHEME",
  • "version": "1.0",
  • "fileName": "ACMEISSUER_20251110_FEEMULTISCHEME_ACMEAFFILIATE.jsonl",
  • "declaredRecordsInFile": 50
}

Forcing

ForceQueueClearingFlow

Force queue of clearing flow

Request Body schema:

Request with parameter

clearingDate
required
string or null <date>

Date of the clearing (optional, if missing current day is used)

issuerKey
required
string or null

Key of issuer for processing

mode
required
string or null

Mode of processing

Responses

Request samples

Content type
{
  • "clearingDate": "2019-08-24",
  • "issuerKey": "string",
  • "mode": "string"
}

Response samples

Content type
{
  • "errorCode": "string",
  • "errorDescription": "string",
  • "errorProperties": {
    }
}

Simulations

SimulatePushOnlineToIssuerAuthorization

Simulate an incoming request (received by Card Processor) during O2I process

Request Body schema:

Request with details

transactionId
required
string [ 1 .. 255 ] characters

Unique transaction id provided by Card Processor

refTransactionId
string or null

Reference to a transaction previously processed (provided only if available)

transactionDateTime
string or null <date-time>

Date/time when transaction is performed

processDateTime
string or null <date-time>

Date/time when transaction is processed by Card Processor

transactionAmount
number or null <double>

Original transaction amount

transactionCurrency
integer or null <int32>

Original transaction currency (ISO 4217)

billingAmount
number or null <double>

Converted amount beeing charged

billingCurrency
integer or null <int32>

Converted currency being charged (ISO 4217)

terminalId
string or null

Terminal identifier (when available)

mcc
integer or null <int32>

Merchant Category Code

merchantId
string or null

Merchant identifier

merchantName
string or null

Merchant name

merchantStreet
string or null

Merchant street (when available)

merchantCity
string or null

Merchant city (when available)

merchantZip
string or null

Merchant ZIP (when available)

merchantCountry
integer or null <int32>

Merchant county (ISO 3166-1, when available)

cardToken
required
string [ 1 .. 255 ] characters

Unique card identifier. Will be generated by CMS through card creation API. The structure is as follows: 6 numbers BIN + token number + last 4 PAN digits

authorizationCode
string or null

6-digit authorization code, set by Card Processor when transaction passed all required checks. Included only with successful transactions

cardScheme
required
integer <int32>

Scheme for Card: 1 - Diners 2 - Discover 3 - Mastercard 4 - Visa

type
required
integer <int32>

Type of transaction 0 - Purchase 1 - ATM Withdrawal 6 - Card verification - inquiry 17 - Cash advance 20 - Refund/Credit/Payment 30 - Balance Inquiry on ATM 91 - PIN Unblock - info 92 - PIN Change - info 101 - Preauthorization (Mastercard only) 102 - Preauthorization Incremental (Mastercard only) 103 - Preauthorization Completion (Mastercard only) 107 - Transfer to Account (MoneySend) (Mastercard only) 108 - Transfer from Account (MoneySend) (Mastercard only)

stan
string or null

Transaction incremental number, provided by Mastercard, Diners International or Visa network. Provides an additional reference to original transaction

source
string or null

Transaction source M - Manual P - POS A - ATM I - E-commerce (Internet)

entryMode
integer or null <int32>

Entry mode, method used to enter card number 0 - Unknown or unspecified 1 - Manual 2 - Magstripe 3 - Barcode 5 - Chip 6 - Key entry 7 - Contactless Chip 9 - Chip fallback 10 - Credentials on file

authentication
integer or null <int32>

Authentication 0 - Transaction has not been authenticated 1 - Transaction has been authenticated 2 - Transaction authentication has been attempted. Attempt can be made by the card network or merchant

authenticationProtocol
integer or null <int32>

Authentication protocol 0 - Not applicable 1 - 3DS Version 1 2 - 3DS Version 2 or higher

scaExemption
integer or null <int32>

SCA Exemption 0 - Not requestes 1 - Merchant Initiated Transaction 2 - Acquirer Low-Fraud and Transaction Risk Analysis 3 - Low-Value Payment 4 - Strong Customer Authentication (SCA) Delegation 5 - Secure Corporate Payment 6 - Trusted Merchant Exemption

virtualCardNumberId
string or null

Virtual Card Number ID, provided by Card Processor "Card Virtualization System" (CVS). Provided only for card virtualized by CVS

wallet
integer or null <int32>

Wallet Provider 0 - None 1 - Apple Pay 2 - Google Pay 3 - Samsung Pay 4 - Garmin Pay 5 - FitBit Pay 10 - M4M (Merchant for Merchant)

pin
integer or null <int32>

PIN: Card present transaction authentication indicator 1 - Not performed 2 - Passed 3 - Failed

responseCode
string or null

Response code set by Card Processor. If success Issuer can change the authorization using response status

Responses

Request samples

Content type
{
  • "transactionId": "309E7559681849A6B6D478F20A3E10BC",
  • "refTransactionId": "66713D814D064C55BF3BB9A66094D4DB",
  • "transactionDateTime": "2027-02-20T00:00:00",
  • "processDateTime": "2027-02-20T00:10:00",
  • "transactionAmount": 23.5,
  • "transactionCurrency": 978,
  • "billingAmount": 23.5,
  • "billingCurrency": 978,
  • "terminalId": "XX012345",
  • "mcc": 5499,
  • "merchantId": "011223344",
  • "merchantName": "Test merchant",
  • "merchantStreet": "Test Street 1",
  • "merchantCity": "Test",
  • "merchantZip": "12345",
  • "merchantCountry": 705,
  • "cardToken": "9999990000000123456",
  • "authorizationCode": "112233",
  • "cardScheme": 1,
  • "type": 0,
  • "stan": "123456",
  • "source": "P",
  • "entryMode": 2,
  • "authentication": 0,
  • "authenticationProtocol": 1,
  • "scaExemption": 0,
  • "virtualCardNumberId": "9999990000000123456",
  • "wallet": 3,
  • "pin": 2,
  • "responseCode": "OK"
}

Response samples

Content type
{
  • "transactionId": "309E7559681849A6B6D478F20A3E10BC",
  • "responseCode": "OK",
  • "availableBalance": 999.6,
  • "accountCurrency": 978
}

SimulateGetTransactionRiskLevel

Simulates invoke of calculation of level of risk on a specific card transaction for a specific affiliate

Request Body schema:

Input transaction for risk calculation

transactionId
required
string [ 1 .. 255 ] characters

Transaction identifier for Access Control Server (ACS)

dsTransactionId
string or null <= 255 characters

Transaction identifier for Directory Service (DS)

acsVersion
required
string non-empty

Access Control Server version

panToken
required
string non-empty

PAN Token of the card associated with the transaction (should be used to identify the card holder and the list of his devices)

merchantName
required
string non-empty

Name of the merchant assigned by acquirer

purchaseAmount
required
string non-empty

Purchase amount in minor units of currency with all punctuation removed (ex. 15.34€ => "1534"). This value should be used in conjunction with "PurchaseExponent" in order to calculate number of decimal for puntuation

purchaseExponent
required
integer <int32>

Required if purchase amount is present. Minor units of currency as specified in the ISO-4217 currency exponent. For Euro the value should be 100

purchaseCurrency
required
string non-empty

The currency in which the purchase amount is expressed, in 3 letters (ex. "EUR", "GBP", "USD")

acquirerMerchantId
required
string non-empty

Acquirer-assigned merchant identifier

messageCategory
string or null

Identifies the category of the message, using 2 digits, for a specific use case (defined with ACS setup)

merchantFraudRate
required
integer <int32>

Merchant fraud rate in bps taking into account all Merchant sites and card volumes, calculated as per PSD2 RTS Article 19.

threeRiIndicator
string or null

Indicates the type of 3RI request. Possible values: 01 = Recurring transaction, 02 = Installment transaction, 03 = Add card, 04 = Maintain card information, 05 = Account verification, 06 = Split/delayed shipment, 07 = Top-up, 08 = Mail Order, 09 = Telephone Order, 10 = Whitelist status check, 11 = Other payment

whitelistStatus
string or null <= 255 characters

Field indicating whether cardholder requested merchant's whitelisting. Values accepted: "Y", "N"

Responses

Request samples

Content type
{
  • "transactionId": "9A04DCEF96464934845BB0ADEE1EAA1B",
  • "dsTransactionId": "5EBD8DD0F087407DB05A8038DCACB27A",
  • "acsVersion": "2.1.0",
  • "panToken": "5000000000000000000",
  • "merchantName": "Acme Inc.",
  • "purchaseAmount": "1534",
  • "purchaseExponent": 100,
  • "purchaseCurrency": "EUR",
  • "acquirerMerchantId": "002455005",
  • "messageCategory": "to be clarified during integration with ACS.",
  • "merchantFraudRate": 13,
  • "threeRiIndicator": "01",
  • "whitelistStatus": "N"
}

Response samples

Content type
{
  • "riskLevel": "medium",
  • "whitelistStatus": "N"
}

Token

CreateCardDataToken

Create Token to retrive CardData

Request Body schema:

Request for create token

cardId
required
string <uuid> non-empty
publicKey
required
string non-empty

Responses

Request samples

Content type
{
  • "cardId": "f16ba382-eb42-481a-b08f-c57bdc9aae24",
  • "publicKey": "string"
}

Response samples

Content type
{
  • "links": [
    ],
  • "token": "string"
}

CreatePinToken

Create Token to retrive Card Pin

Request Body schema:

Request for create token

cardId
required
string <uuid> non-empty
publicKey
required
string non-empty

Responses

Request samples

Content type
{
  • "cardId": "f16ba382-eb42-481a-b08f-c57bdc9aae24",
  • "publicKey": "string"
}

Response samples

Content type
{
  • "links": [
    ],
  • "token": "string"
}

CreateChangePinToken

Create Token to change Card Pin

Request Body schema:

Request for create token

cardId
required
string <uuid> non-empty

Responses

Request samples

Content type
{
  • "cardId": "f16ba382-eb42-481a-b08f-c57bdc9aae24"
}

Response samples

Content type
{
  • "links": [
    ],
  • "token": "string"
}